SystemOrganization addCategory: #GODFilterTests!

TestCase subclass: #FILTConferenceFilterTest
	instanceVariableNames: 'bagOfConferenceData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

TestCase subclass: #FILTMainFilterTest
	instanceVariableNames: 'setOfGodData god'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

FILTMainFilterTest class
	instanceVariableNames: 'gf'!

FILTMainFilterTest class
	instanceVariableNames: 'gf'!

!FILTMainFilterTest methodsFor: 'initialize-release' stamp: 'ym 10/7/2014 21:18'!
setUp
	| godData |

	god := FILTMainFilter new.

	setOfGodData := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title2';
		origin: 'origin2';
		content: 'content1';
		tags: #('tag1' 'tag2') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	setOfGodData add: godData.! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'ym 10/7/2014 21:23'!
testFIlterByTag
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title2';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byTags: 'tag1') = expectedResult.! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:23'!
testFilterByContent
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byContent: 'content2') = expectedResult.! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:24'!
testFilterByOrigin
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byOrigin: 'origin1') = expectedResult.! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:26'!
testFilterByTitle
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byTitle: 'title4') = expectedResult.! !
